<?php
if (!defined('HUCART_COM')) exit('HuCart.COM No direct script access allowed');
class Order extends HC_Controller
{
	//注意无须构造函数,使用了构造函数得重构父类 parent::__construct();
	var $master_act = 'order';
	var $info_prefix = 'ord_';
	function __construct()
	{
		parent::__construct();	
		$this -> load_lang('adminsys/'.$this -> master_act);
		$this -> view -> assign('master_act', $this -> master_act);
		$this -> view -> assign('info_prefix',	$this -> info_prefix);
		$this -> load('admin');
		$this -> admin -> online_admin();
		$this -> load_db();
		$this -> load('helper');     //加载辅助类

	}


	function info_list(  )
	{
		$keyword 	= $this -> input -> req["keyword"];
		$list_val   = $this -> input -> req["list_val"];
		$list_type  = $this -> input -> req["list_type"];

		$table_arr['where_add'] = '';

		if($keyword!='')
		{ 	
			$table_arr['where_add'] .= " AND ( ord_title LIKE  '%".$keyword."%' )";  
		}
		

		$table_arr['order_by']  = 'ord_id';
		if($list_val!='' and $list_type =='DESC' )
		{
			$table_arr['order_by'] = $list_val ."  DESC ";
		}elseif($list_val!='' and $list_type =='ASC')
		{
			$table_arr['order_by'] = $list_val." ASC";
		}else{
			$table_arr['order_by'] =  'ord_id';
		}

		$this -> load('page',$this->lang['page']);

		//列表字段显示
		$show_arr = array('ord_id' => array('th'=>1,'td'=>'id'),'ord_sn'=> array('th'=>0,'td'=>''),'use_name'=> array('th'=>1,'td'=>''),'ord_consignee'=> array('th'=>0,'td'=>''),'ord_pcdall'=> array('th'=>0,'td'=>''),'ord_address'=>array('th'=>1,'td'=>''),'ord_total_price'=>array('th'=>1,'td'=>''),'ord_need_pay'=>array('th'=>1,'td'=>''),'ord_status'=>array('th'=>1,'td'=>'arr'),'ord_pay_status'=>array('th'=>1,'td'=>'arr'));
		
		$field_show = $this -> helper -> get_th_list( $show_arr , $list_val , $list_type ,  $this->lang['field_list'] );

		$table_arr['table']				= $this -> master_act;
		$table_arr['left']['table'] 	= 'users';
		$table_arr['left']['on']		= $this -> db -> prefix.'users.use_id = '.$this -> db -> prefix.$this -> master_act.'.use_id ';
		
		$table_arr['prefix'] 	= $this -> db -> prefix;
		$table_arr['field_arr'] = array_keys($show_arr);
		$table_arr['def_where'] = 'ord_delete =0';
		$table_arr['group_by']  = '';
		$table_arr['limit_val'] = $this -> page ->get_limit_val();
		
		$re_sql   = $this -> helper -> get_list_sql( $table_arr );

		//var_dump($re_sql);
		$info 	  = $this -> db -> select_info( $re_sql['sql_list'] );
		
		$key_arr['ord_status'] 		= $this->lang['ord_status_arr'];
		$key_arr['ord_pay_status']  = $this->lang['ord_pay_status_arr'];

		$opt = array( 'edit'=> $this->lang['edit'] );
		
		$td_rows  = $this -> helper -> get_td_list( $info , $show_arr ,$key_arr ,$this -> master_act, $opt  );
		
		$count 	  = $this -> db -> select_one( $re_sql['sql_count'] );

		$page_str = $this -> page ->get_admin_page( $count["CNUM"] );
		
		$this -> view -> assign('keyword',		$keyword);

		$this -> view -> assign('list_val',		$list_val);
		$this -> view -> assign('list_type',	$list_type);
		
		$this -> view -> assign('colspan_val',	count($show_arr)+1);
		$this -> view -> assign('field_show',	$field_show);
		$this -> view -> assign('page_str',		$page_str);
		$this -> view -> assign('td_rows',		$td_rows);
		$this -> view -> display('order_list.tpl');
		
	}
	
	
	
	function trash_list()
	{
		$keyword 	= $this -> input -> req["keyword"];
		$list_val   = $this -> input -> req["list_val"];
		$list_type  = $this -> input -> req["list_type"];

		$table_arr['where_add'] = '';

		if($keyword!='')
		{ 	
			$table_arr['where_add'] .= " AND ( ord_title LIKE  '%".$keyword."%' )";  
		}
		

		$table_arr['order_by']  = 'ord_id';
		if($list_val!='' and $list_type =='DESC' )
		{
			$table_arr['order_by'] = $list_val ."  DESC ";
		}elseif($list_val!='' and $list_type =='ASC')
		{
			$table_arr['order_by'] = $list_val." ASC";
		}else{
			$table_arr['order_by'] =  'ord_id';
		}

		$this -> load('page',$this->lang['page']);

		//列表字段显示
		$show_arr = array('ord_id' => array('th'=>1,'td'=>'id'),'ord_sn'=> array('th'=>0,'td'=>''),'use_name'=> array('th'=>1,'td'=>''),'ord_consignee'=> array('th'=>0,'td'=>''),'ord_pcdall'=> array('th'=>0,'td'=>''),'ord_address'=>array('th'=>1,'td'=>''),'ord_total_price'=>array('th'=>1,'td'=>''),'ord_need_pay'=>array('th'=>1,'td'=>''),'ord_status'=>array('th'=>1,'td'=>'arr'),'ord_pay_status'=>array('th'=>1,'td'=>'arr'));
		
		$field_show = $this -> helper -> get_th_list( $show_arr , $list_val , $list_type ,  $this->lang['field_list'] );

		$table_arr['table']				= $this -> master_act;
		$table_arr['left']['table'] 	= 'users';
		$table_arr['left']['on']		= $this -> db -> prefix.'users.use_id = '.$this -> db -> prefix.$this -> master_act.'.use_id ';
		
		$table_arr['prefix'] 	= $this -> db -> prefix;
		$table_arr['field_arr'] = array_keys($show_arr);
		$table_arr['def_where'] = 'ord_delete =1';
		$table_arr['group_by']  = '';
		$table_arr['limit_val'] = $this -> page ->get_limit_val();
		
		$re_sql   = $this -> helper -> get_list_sql( $table_arr );

		//var_dump($re_sql);
		
		$info 	  = $this -> db -> select_info( $re_sql['sql_list'] );
		
		$key_arr['ord_enabled'] = $this->lang['enabled_arr'];

		$opt = array( 'restore'=> $this->lang['restore'], 'delete'=> $this->lang['delete']);
		
		$td_rows  = $this -> helper -> get_td_list( $info , $show_arr ,$key_arr , $this -> master_act , $opt);
		
		$count 	  = $this -> db -> select_one( $re_sql['sql_count'] );

		$page_str = $this -> page ->get_admin_page( $count["CNUM"] );
		
		$this -> view -> assign('keyword',		$keyword);
		
		$this -> view -> assign('list_val',		$list_val);
		$this -> view -> assign('list_type',	$list_type);
		
		$this -> view -> assign('colspan_val',	count($show_arr)+1);
		$this -> view -> assign('field_show',	$field_show);
		$this -> view -> assign('page_str',		$page_str);
		$this -> view -> assign('td_rows',		$td_rows);
		$this -> view -> display('table_trash.tpl');
		
	}


	function recycle()
	{
		
		$info_id = $infoid = $this -> input ->  get["id"];
		
		$uprec = " UPDATE `".$this -> db -> prefix."order` SET ord_delete = 1  WHERE  `ord_id` in ( $info_id ) ";
		$this -> db -> query_sql($uprec);
		
		$this -> view ->  assign('info_title',$this->lang['del_success']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
		$this -> view ->  display('suggestion.tpl');

	}
	
	//还原
	function restore( )
	{
		$infoid = $this -> input ->  delUrl($_REQUEST["id"]);
		
		$uprec = " UPDATE `".$this -> db -> prefix."order` SET ord_delete = 0  WHERE  `ord_id` in ( $infoid ) ";
		@$this -> db -> query_sql($uprec);
		
		$this -> view ->  assign('info_title',$_LANG['bd_restoresusse']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=trash_list");
		$this -> view ->  display('suggestion.tpl');
	}
	

	function delete( )
	{
		$infoid = $this -> input ->  get["id"];
		$insertip = " DELETE FROM `".$this -> db -> prefix."order` WHERE `ord_id` in ( $infoid ) ";

		$this -> db -> query_sql($insertip);
		$this -> view ->  assign('info_title',$this->lang['del_success']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=trash_list");
		$this -> view ->  display('suggestion.tpl');
	}
	
	
	function show( )
	{
		$info_id = $this -> input ->  get["id"];
		$upshow = " UPDATE `".$this -> db -> prefix.$this -> master_act."` SET ord_enabled = 1  WHERE `ord_id` in ( $info_id ) ";

		$this -> db -> query_sql($upshow);
		$this -> view ->  assign('info_title',$_LANG['bd_showsusse']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
		$this -> view ->  display('suggestion.tpl');
	}
	
	function hide( )
	{
		//$indel = implode(',', $delArray);
		$info_id = $this -> input ->  get["id"];
		
		$up_hide = " UPDATE `".$this -> db -> prefix.$this -> master_act."` SET ord_enabled = 0  WHERE  `ord_id` in ( $info_id ) ";
		$this -> db -> query_sql($up_hide);
		
		$this -> view ->  assign('info_title',$_LANG['bd_hidesusse']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
		$this -> view ->  display('suggestion.tpl');
	}
	
	
	function info(  )
	{
		$act_type 	= $this -> input -> get["act_type"];
		
		if($act_type=='edit'){
			
			$id_val = $this -> input ->  get["id"];

			$sql_query = " SELECT o.* ,u.use_name FROM  ".$this -> db -> prefix.$this -> master_act." AS o LEFT JOIN  ".$this -> db -> prefix."users as u ON u.use_id = o.use_id  WHERE o.ord_id = '".$id_val."' ORDER BY o.`ord_id` ";
			$info = $this -> db -> select_one($sql_query);
			//var_dump($info);
			
			$sql_desc = " SELECT *  FROM  ".$this -> db -> prefix."order_desc  WHERE ord_id = '".$id_val."' ORDER BY `ord_id` ";
			$info_desc = $this -> db -> select_info($sql_desc);

			$sql_log = " SELECT ol.*,a.adm_user  FROM  ".$this -> db -> prefix."order_log as ol  LEFT JOIN  ".$this -> db -> prefix."admins as a ON a.adm_id = ol.adm_id WHERE ol.ord_id = '".$id_val."' ORDER BY ol.`ord_id` ";
			$info_log = $this -> db -> select_info($sql_log);
			
			$this -> view -> assign('txt_title',   $this->lang['edit_title']);
			$this -> view -> assign('edit_submit', $this->lang['edit']);
			$this -> view -> assign('info',$info);
			$this -> view -> assign('info_desc',$info_desc);
			$this -> view -> assign('info_log',$info_log);
			
			$this -> view -> assign('act_type',$act_type);
			$this -> view -> assign('sort_select_str',$sort_select_str);
			$this -> view -> assign('act_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=edit_info&act_type=edit");
			
			
		}else{
		    //添加信息

			$this -> view -> assign('act_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=edit_info&act_type=add");
			
			$this -> view -> assign('act_type',$act_type);
			$this -> view -> assign('txt_title',$this->lang['add_title']);
			$this -> view -> assign('edit_submit', $this-> lang['add']);
			
		}

		$this -> view ->  display('order_edit.tpl');
	
	}
	
	
	function edit_info( )
	{	
	
		$ord_id 				= $this -> input ->  funpost("ord_id");
		
		$ord_status 			= $this -> input ->  funpost("ord_status");
		$ord_delivery_status 	= $this -> input ->  funpost("ord_delivery_status");
		$ord_pay_status 		= $this -> input ->  funpost("ord_pay_status");
	    $orl_remark 			= $this -> input ->  funpost("orl_remark");
		
		$act_type = $this -> input ->  req["act_type"];

		if($act_type=='edit')
		{

		
			if($ord_id !='' )
			{
				$update_order = "UPDATE `".$this -> db -> prefix.$this -> master_act."` SET  ord_status = '".$ord_status."' ,  ord_delivery_status = '".$ord_delivery_status."' ,ord_pay_status = '".$ord_pay_status."'  WHERE  ord_id = '".$ord_id."' ";	
				$this -> db -> query_sql( $update_order );
				//var_dump($_SESSION);
				$insert_sql = " INSERT INTO `hucartdata`.`gvd_order_log` ( `adm_id` ,`ord_id` , `orl_remark` , `orl_add_time` ) VALUES ( '".$_SESSION['admin']['adm_id']."' , '".$ord_id."', '".$orl_remark."', '".time()."')  ";
				$this -> db -> query_sql( $insert_sql );
				
				$this -> view ->  assign('info_title',$this->lang['edit_success']);
				$this -> view ->  assign('URL_TIME',URL_TIME);
				$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info&act_type=edit&id=".$ord_id);
				$this -> view ->  display('suggestion.tpl');
	
		
			}else{
			
				$this -> view ->  assign('info_title',$this->lang['err_info_missing']);
				$this -> view ->  assign('URL_TIME',URL_TIME);
				$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info&act_type=edit&id=".$ord_id);
				$this -> view ->  display('suggestion.tpl');	
			}
		

		}else{
			
				if($ord_titleval !='' and $ord_fileval !='' and $ord_sizeval !='')
				{
					$sql_query = " SELECT count(1) as LNUM  FROM  ".$this -> db -> prefix."order  WHERE ord_title = '".$ord_titleval."' ORDER BY `ord_id` ";
					$info = $this -> db -> select_one($sql_query);
					
					if( $info["LNUM"] < 1 )
					{
						$ord_add_timeval = time();
						$insertip =" INSERT INTO `".$this -> db -> prefix."order` (`ord_title` , `sort_id` , `ord_file` ,  `ord_img` ,`ord_size` , `ord_desc` ,`ord_list` , `ord_enabled`,`ord_add_time` ) VALUES (  '$ord_titleval','$sort_idval', '$ord_fileval', '$ord_imgeval','$ord_sizeval','$ord_descval',  '$ord_listval', '$ord_enabledval','$ord_add_timeval')";
						
						$this -> db -> query_sql($insertip);
						$this -> view ->  assign('info_title',$this->lang['add_success']);
						$this -> view ->  assign('URL_TIME',URL_TIME);
						$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
						$this -> view ->  display('suggestion.tpl');	
					}else{
						
						$this -> view ->  assign('info_title',$this->lang['err_info_exist']);
						$this -> view ->  assign('URL_TIME',URL_TIME);
						$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info&act_type=add");
						$this -> view ->  display('suggestion.tpl');	
					}
					
				}else{
					
					$this -> view ->  assign('info_title',$this->lang['err_info_missing']);
					$this -> view ->  assign('URL_TIME',URL_TIME);
					$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info&act_type=add");
					$this -> view ->  display('suggestion.tpl');
				}
		}
		
	}
	


		
}

